{% extends 'base.html.twig' %}

{% block icon %}fa fa-id-card{% endblock %}
{% block title %}Notices d'autorité{% endblock %}
{% block breadcrumb %}
    <li>Référentiel archivage</li>
    <li class="active">Notices d'autorité</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        {% if can_access('app_authority_add') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_authority_add') }}"
                data-title="Créer une notice d'autorité"
                data-table="#{{ table.id() }}"
            >
                <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                Créer une notice d'autorité
            </button>
        {% endif %}

        {% if can_access('app_authority_add_by_xml') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_authority_add_by_xml') }}"
                data-title="Créer une notice d'autorité"
                data-table="#{{ table.id() }}"
            >
                <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                Créer à partir d'un fichier xml
            </button>
        {% endif %}

        {% if can_access('app_authority_import1') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_authority_import1') }}"
                data-title="Importer des notices d'autorité"
                data-table="#{{ table.id() }}"
                data-btn-accept-content="{{ '<i class="fa fa-right-long" aria-hidden="true"></i><span>Etape 2</span>'|escape('html') }}"
            >
                <i class="fa fa-upload fa-space" aria-hidden="true"></i>
                Importer des notices d'autorité
            </button>
        {% endif %}

        {% if can_access('app_authority_export') %}
            <a href="{{ url('app_authority_export', app.request.query.all) }}" download="export_authorities.refae" target="_blank" class="btn btn-primary">
                <i class="fa fa-download fa-space" aria-hidden="true"></i>Exporter les éléments publiés
            </a>
        {% endif %}
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des notices d'autorité"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('app_authority_csv', app.request.query.all) }}" data-link-download-csv="%s_authority.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>

{% endblock %}

{% block bottomScript %}
    <script>
        $(function() {
            let table = $('#{{ table.id() }}');
            let generator = table.data('tableGenerator');
            table.on(
                'modal_form_success',
                (event, content, jqXHR) => {
                    let previousVersionId = jqXHR.getResponseHeader('X-Asalae-PreviousVersionId');
                    if (previousVersionId) {
                        generator.removeDataId(previousVersionId);
                        generator.decrementPaginator(table.closest('section').find('.pagination-counters'));
                        generator.generateAll();
                    }
                }
            );
        });
    </script>
{% endblock %}
